#!/usr/local/bin/python
import sys, re, subprocess, shlex

snd="./cmd2fila10g.py"

if len(sys.argv)<2:
    print "Usage: {0} CFG-FILE [.. CFG-FILE]".format(sys.argv[0])
    print "  send commands from CFG-FILE(s) to FiLa10G using {sender}".format(sender=snd)
    sys.exit(-1)

def printf(x):
    if x:
        print x

def proc_cfgfile(fn):
    rxNoCmd = re.compile(r"^\s*(#.*)?$")
    sendCmd = lambda *args: printf(subprocess.check_output(shlex.split("{0} {1}".format(snd, " ".join(args)))))
    #sendCmd = lambda *args: shlex.split("{0} {1}".format(snd, " ".join(args)))
    with open(fn) as fd:
        map(sendCmd, filter(lambda l: not rxNoCmd.match(l), fd))
        #map(printf, map(sendCmd, filter(lambda l: not rxNoCmd.match(l), fd)))

map(proc_cfgfile, sys.argv[1:])
